<Manage::FieldContainer
  @title={{@title}}
  @isDisabled={{@isDisabled}}
  @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}}
  @onEdit={{@onEdit}}
  @onSave={{this.save}}
  @onCancel={{this.cancel}}
  @value={{this.value}}
  ...attributes
>
  <:view>
    {{#if this.questions}}
      <AnswerList @value={{@value}} @questions={{this.questions}} />
    {{else}}
      <div class="alert alert-warning" role="alert">
        {{t "answer-message.no-contributor-questions"}}
      </div>
    {{/if}}
  </:view>

  <:edit as |manager|>
    <Input::QuestionList @questions={{this.questions}} @value={{manager.value}} @onChange={{this.change}} />
  </:edit>
</Manage::FieldContainer>